---
apiVersion: v1
kind: Secret
metadata:
  name: master-0-bmc-secret
  labels:
    kaas.mirantis.com/credentials: "true"
    kaas.mirantis.com/provider: baremetal
type: Opaque
data:
# SET base64 encoded u\p
  username: cm9vdA==
  password: YV9zbWFsbF9pbXByb3ZlbWVudA==
---
apiVersion: metal3.io/v1alpha1
kind: BareMetalHost
metadata:
  name: master-0
  labels:
    baremetal: hw-master-0
spec:
  bootMode: legacy
  online: true
  bootMACAddress: f0:d4:e2:e8:d8:59
  bmc:
    address: 172.16.1.22
    credentialsName: master-0-bmc-secret
---
apiVersion: v1
kind: Secret
metadata:
  name: master-1-bmc-secret
  labels:
    kaas.mirantis.com/credentials: "true"
    kaas.mirantis.com/provider: baremetal
type: Opaque
data:
# SET base64 encoded u\p
  username: cm9vdA==
  password: YV9zbWFsbF9pbXByb3ZlbWVudA==
---
apiVersion: metal3.io/v1alpha1
kind: BareMetalHost
metadata:
  name: master-1
  labels:
    baremetal: hw-master-1
spec:
  bootMode: legacy
  online: true
  bootMACAddress: f0:d4:e2:e8:be:39
  bmc:
    address: 172.16.1.23
    credentialsName: master-1-bmc-secret
---
apiVersion: v1
kind: Secret
metadata:
  name: master-2-bmc-secret
  labels:
    kaas.mirantis.com/credentials: "true"
    kaas.mirantis.com/provider: baremetal
type: Opaque
data:
# SET base64 encoded u\p
  username: cm9vdA==
  password: YV9zbWFsbF9pbXByb3ZlbWVudA==
---
apiVersion: metal3.io/v1alpha1
kind: BareMetalHost
metadata:
  name: master-2
  labels:
    baremetal: hw-master-2
spec:
  bootMode: legacy
  online: true
  bootMACAddress: f0:d4:e2:e8:c8:2d
  bmc:
    address: 172.16.1.24
    credentialsName: master-2-bmc-secret
